function DoTitle(addTitle) { 
var revisedTitle; 
var currentTitle = document.frmAnnounce.title.value; 
revisedTitle = currentTitle+addTitle; 
document.frmAnnounce.title.value=revisedTitle; 
document.frmAnnounce.title.focus(); 
return; }
function Dose(addse) { 
var revisedse; 
var currentse = document.frmAnnounce.se.value; 
revisedse = currentse+addse; 
document.frmAnnounce.se.value=revisedse; 
document.frmAnnounce.se.focus(); 
return; }
function Doform_user(addform_user) { 
var reviform_userdform_user; 
var currentform_user = document.frmAnnounce.form_user.value; 
reviform_userdform_user = currentform_user+addform_user; 
document.frmAnnounce.form_user.value=reviform_userdform_user; 
document.frmAnnounce.form_user.focus(); 
return; }
function Doform_url(addform_url) { 
var reviform_urldform_url; 
var currentform_url = document.frmAnnounce.form_url.value; 
reviform_urldform_url = currentform_url+addform_url; 
document.frmAnnounce.form_url.value=reviform_urldform_url; 
document.frmAnnounce.form_url.focus(); 
return; }

function insertsmilie(smilieface){

	document.frmAnnounce.body.value+=smilieface;
}
function gopreview()
{
document.forms[1].title.value=document.forms[0].title.value;
document.forms[1].body.value=document.forms[0].body.value;
var popupWin = window.open('preview.asp', 'preview_page', 'scrollbars=yes,width=750,height=450');
document.forms[1].submit()
}